Page MenuHomePhabricator

BadMethodCallException from line 66 of extensions/TwoColConflict/includes/TwoColConflictHooks.php: Call to a member function getId() on a non-object (null)
Closed, ResolvedPublic

Description

Error Message

BadMethodCallException from line 66 of extensions/TwoColConflict/includes/TwoColConflictHooks.php: Call to a member function getId() on a non-object (null)

Exception URI

/w/index.php?title=Template:Motd/2018-02-17_(mk)&action=submit

Stack Trace

#0 /srv/mediawiki/php-1.31.0-wmf.21/includes/Hooks.php(177): TwoColConflictHooks::onEditPageBeforeConflictDiff(EditPage, OutputPage)
#1 /srv/mediawiki/php-1.31.0-wmf.21/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#2 /srv/mediawiki/php-1.31.0-wmf.21/includes/EditPage.php(3737): Hooks::run(string, array)
#3 /srv/mediawiki/php-1.31.0-wmf.21/includes/EditPage.php(2932): EditPage->showConflict()
#4 /srv/mediawiki/php-1.31.0-wmf.21/includes/EditPage.php(705): EditPage->showEditForm()
#5 /srv/mediawiki/php-1.31.0-wmf.21/includes/actions/EditAction.php(60): EditPage->edit()
#6 /srv/mediawiki/php-1.31.0-wmf.21/includes/actions/SubmitAction.php(38): EditAction->show()
#7 /srv/mediawiki/php-1.31.0-wmf.21/includes/MediaWiki.php(500): SubmitAction->show()
#8 /srv/mediawiki/php-1.31.0-wmf.21/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#9 /srv/mediawiki/php-1.31.0-wmf.21/includes/MediaWiki.php(861): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.31.0-wmf.21/includes/MediaWiki.php(524): MediaWiki->main()
#11 /srv/mediawiki/php-1.31.0-wmf.21/index.php(42): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Notes

This is generating logspam which may block the train for wmf.21

Event Timeline

mmodell created this task.Feb 14 2018, 8:52 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptFeb 14 2018, 8:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
mmodell triaged this task as High priority.

Line 66 is

					'baseRevisionId' => $editPage->getBaseRevision()->getId(),

Same issue as elsewhere?

mmodell updated the task description. (Show Details)Feb 14 2018, 9:07 PM
Restricted Application added a project: User-Addshore. · View Herald TranscriptFeb 15 2018, 9:58 AM

Change 410787 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] EditPage::getBaseRevision can return null. (fix phpdoc)

https://gerrit.wikimedia.org/r/410787

Change 410788 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/TwoColConflict@master] Handle EditPage::getBaseRevision returning null in Hooks

https://gerrit.wikimedia.org/r/410788

Change 410787 merged by jenkins-bot:
[mediawiki/core@master] EditPage::getBaseRevision can return null. (fix phpdoc)

https://gerrit.wikimedia.org/r/410787

Change 410809 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/TwoColConflict@wmf/1.31.0-wmf.21] Handle EditPage::getBaseRevision returning null in Hooks

https://gerrit.wikimedia.org/r/410809

Change 410809 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@wmf/1.31.0-wmf.21] Handle EditPage::getBaseRevision returning null in Hooks

https://gerrit.wikimedia.org/r/410809

Change 410788 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Handle EditPage::getBaseRevision returning null in Hooks

https://gerrit.wikimedia.org/r/410788

Addshore closed this task as Resolved.Feb 16 2018, 10:38 AM
Tobi_WMDE_SW moved this task from Proposed to Demoed on the WMDE-QWERTY-Team board.